www.cendio.com
Bug 5393 - Use "Remote Desktop Server" term rather than "Terminal Server"
: Use "Remote Desktop Server" term rather than "Terminal Server"
Status: CLOSED FIXED
: ThinLinc
Other
: trunk
: PC Unknown
: P2 Normal
: 4.4.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2015-01-07 14:20 by
Modified: 2015-05-13 10:49 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2015-01-07 14:20:51
An old description for ThinLinc was "Linux Terminal Server", while now we say
"Linux Remote Desktop Server". The product and the documentation should be
updated to reflect this fact. In some cases (say /vsmserver/terminalservers) we
might want to keep the old name though. 

See also bug 5382.
------- Comment #1 From cendio 2015-03-10 15:22:33 -------
Fixed in commits 30119-30121.

r30119 - Modified the name and explanation of a few error codes
r30120 - Updated tlwebadm
r30121 - Updated documentation
------- Comment #2 From cendio 2015-03-10 16:56:12 -------
Translating "terminal server" to "remote desktop servers" isn't correct if the
original meaning was "agent server". Now it's just confusing because remote
desktop servers could mean any of the ThinLinc, vsmserver, or vsmagent servers.
I've even confused it for Windows Remote Desktop Servers at one point.
------- Comment #3 From cendio 2015-03-16 17:37:53 -------
(In reply to comment #2)
> Translating "terminal server" to "remote desktop servers" isn't correct if the
> original meaning was "agent server". Now it's just confusing because remote
> desktop servers could mean any of the ThinLinc, vsmserver, or vsmagent servers.
> I've even confused it for Windows Remote Desktop Servers at one point.

r30145.
------- Comment #4 From cendio 2015-04-30 13:23:25 -------
(In reply to comment #1)
> Fixed in commits 30119-30121.
> 
> r30119 - Modified the name and explanation of a few error codes

In general:

 - ERR_REQ_SESSION_FAILED and ERR_SESS_CREATE_FAILED are imported
   from a few places but never used. This commit renames the includes
   to the new name but they're still unused. Remove the imports instead.

 - There's a lot of duplication of the description of the error constants,
   in the vsm code, client code, comments, and the documentation. I suppose
   this isn't a new problem so I'll grudgingly give you a passing grade
   on that.


tlclient_exception.cc:
>      case PROTO_ERR_REQ_SESSION_FAILED:
> -        s = _("Couldn't create session on selected server");
> +        s = _("Couldn't create your session on selected server");
>          break;
> -    case PROTO_ERR_TERMSERVER_ERROR:
> -        s = _("The terminalserver couldn't create your session");
> +    case PROTO_ERR_SESS_CREATE_FAILED:
> +        s = _("Couldn't create your session");

Wasn't one of those just for agent->master communication and the other for
master->client? Is there a meaningful distinction between the two that shows
the need for two different messages?


> -ERR_NO_TERMSERVER = 4 # No working terminal servers found
> -ERR_REQ_SESSION_FAILED = 5 # Couldn't create session on selected server
> -ERR_TERMSERVER_ERROR = 6 # The terminalserver couldn't create new session
> +ERR_NO_AGENT = 4 # No agent servers was available
> +# The following two errorcodes are currently unused since ThinLinc 1.4.0:
> +ERR_REQ_SESSION_FAILED = 5 # Couldn't create session on the selected server (agent -> master)
> +ERR_SESS_CREATE_FAILED = 6 # Couldn't create the session (master -> client)

What does the comment about unused errorcodes mean? Does it mean that the error
codes are deprecated and that we will be removing these error codes in the
future? If so, why didn't we remove them now rather than renaming them since we
still did the investigation to find out that nothing had used them since
ThinLinc 1.4.0? Or does it mean nothing at all, and we encourage new code to
use these codes? In that case, renaming them makes some sense, but the comment
itself is counterproductive since it looks like it discourages use.


> -        - C{ERR_TERMSERVER_ERROR} - The terminalserver
> -            couldn't create new session.
> +        - C{ERR_SESS_CREATE_FAILED} - Couldnt' create the session.
                                               ^^
Typo.


> diff --git a/doc/external/troubleshoot.xml b/doc/external/troubleshoot.xml
> index ab3903a..1fb3b4b 100644
> --- a/doc/external/troubleshoot.xml
> +++ b/doc/external/troubleshoot.xml
> @@ -224,7 +224,7 @@
>          <sect3>
>  
>            <title>
> -            ThinLinc login failed. (Cannot find any working terminal server).
> +            ThinLinc login failed. (No agent server was available).
>            </title>
>  
>            <para>
> @@ -254,8 +254,7 @@
>          <sect3>
>  
>            <title>
> -            ThinLinc login failed (The terminal server couldn't create your
> -            session)
> +            ThinLinc login failed (Couldn't create your session)
>            </title>
>  
>            <para>

Apart from the inconsequential use of trailing periods, what's the point of two
problem descriptions that describe the same problem, with very similar
troubleshooting instructions, when one of the problems never will appear with
our shipped code if you would trust the comments? See also: comments about
tlclient_exception.cc above.


> r30120 - Updated tlwebadm

tladm/tlwebadm/templates/status/load.tmpl:
> - *   $terminal_servers     A list of terminal servers.  Every item is
> + *   $terminal_servers     A list of remote desktop servers. Every item

Not agent servers?


> r30121 - Updated documentation
> r30145.

> diff --git a/doc/external/client-resources.xml b/doc/external/client-resources.xml
> index 1c6bb59..9d61748 100644
> --- a/doc/external/client-resources.xml
> +++ b/doc/external/client-resources.xml
> @@ -8,12 +8,12 @@
>    <chapter id="client-resources">
>  
>      <title>
> -      Accessing Client Resources from the Terminal Server
> +      Accessing Client Resources from the Remote Desktop Server
>      </title>
>  
>      <para>
>        In this chapter we will describe how to access client resources, such as
> -      local drives and serial ports, from the Terminal Server.
> +      local drives and serial ports, from the remote desktop server.
>      </para>

Wouldn't "...from the ThinLinc session" be more suitable than Remote Desktop
Server here? After all, much of what we do with client resources are intimately
tied to the session and it's special environment. Same for patches in
local-drives.xml, serial-redirection.xml, sound-redirection.xml, and
scard-redirection.xml.


> diff --git a/doc/external/commands.xml b/doc/external/commands.xml
> index d77aa17..8f1c6a5 100644
> --- a/doc/external/commands.xml
> +++ b/doc/external/commands.xml
> @@ -1041,7 +1041,7 @@
>          <listitem><para>
>            This command is used to synchronize files and directories in a
>            ThinLinc cluster. It runs the rsync command over SSH against all
> -          terminal servers in the cluster. When using this command, it's
> +          remote desktop servers in the cluster. When using this command, it's
>            convenient if password-less SSH login between the servers in the
>            clusters has been setup.
>          </para>
> @@ -1066,7 +1066,7 @@
>          <listitem><para>
>            This command is used to perform shell commands on all slaves in a
>            ThinLinc cluster. It works by running the ssh command against all
> -          terminal servers in the cluster. When using this command, it's
> +          remote desktop servers in the cluster. When using this command, it's
>            convenient if password-less SSH login between the servers in the
>            clusters has been set up.
>          </para>

Agent servers - both of these tools read /vsmserver/terminalservers.


> diff --git a/vsm/vsmserver.hconf b/vsm/vsmserver.hconf
> index dfe63ce..7db5d8e 100644
> --- a/vsm/vsmserver.hconf
> +++ b/vsm/vsmserver.hconf
> @@ -6,10 +6,11 @@
>  # Administrators email
>  admin_email=
>  
> -# 
> -# Terminal servers. A list of hostnames. These will be used for communication
> -# between the server and the agent. The names reported to clients are fetched from
> -# the agent itself; names in terminalservers are not reported directly to clients.
> +#
> +# Terminal servers. A list of remote desktop server hostnames. These will be used
> +# for communication between the server and the agent. The names reported to
> +# clients are fetched from the agent itself; names in terminalservers are not
> +# reported directly to clients.
>  #
>  terminalservers=127.0.0.1

Both the diff above and the copied version in doc/external/hiveconf.xml should
state that this is a list of agent servers. Also, the trimmed version in
doc/external/hiveconf.xml doesn't match the lines in the config file.


o> diff --git a/doc/external/tcp-ports.xml b/doc/external/tcp-ports.xml
> index eb0cd30..4b143b6 100644
> --- a/doc/external/tcp-ports.xml
> +++ b/doc/external/tcp-ports.xml
> @@ -198,7 +198,7 @@
>  
>          <varlistentry>
>  
> -          <term>4900-5899: Tunnels from Terminal Server to clients</term>
> +          <term>4900-5899: Tunnels from remote desktop server to clients</term>
>  
>            <listitem><para>
>              The ports in this interval is used as serverside endpoints for the

This is already in a section for ports used by vsmagent, so can't we just skip
the "from remote desktop server" part? The descriptions for 5901-5999 and
6001-8000 omit the source.
------- Comment #5 From cendio 2015-05-05 16:52:45 -------
r30289 - removed unused imports
r30290 - fixed error code strings and comments
r30291 - updated troubleshooting chapter
r30292 - terminalservers refer to agent servers
r30293 - updated local drives wording
r30294 - updated string regarding tunnel ports
------- Comment #6 From cendio 2015-05-13 10:49:09 -------
(In reply to comment #5)
> r30289 - removed unused imports
> r30290 - fixed error code strings and comments
> r30291 - updated troubleshooting chapter
> r30292 - terminalservers refer to agent servers
> r30293 - updated local drives wording
> r30294 - updated string regarding tunnel ports

Everything looks great now, except for that the documentation sample of
vsmagent.hconf in hiveconf.xml which still isn't cropped right, but since it's
a) in the documentation, b) it's an example, and c), it's a comment, it'll do.